#include "initscreen.h"
using namespace STDP;

void initscreen::mostrarPresents(){
	string produccion = "Lesbinary productions presenta:";

	StdPijo& stdp = StdPijo::p();
	stdp.init();
	stdp.clearScreen();
	stdp.setGlobalEscapeDelay(0);

	sleep(2);
	stdp.setColor(ANORMAL, CWHITE, CBLACK);

	//Mostramos letra a letra con un pequeño retardo
	for(int i = 0; (unsigned)i < produccion.length() ; i++){
		stdp.setCursor(23+i, 10);
		stdp.writeChar(produccion[i]);
		stdp.refreshScr();
		// Pequeño retardo
		usleep(45000);
	}

	sleep(2);
}

void initscreen::mostrarTitulo(){
	StdPijo& stdp = StdPijo::p();

	stdp.init();
	stdp.clearScreen();
    stdp.setGlobalEscapeDelay(0);
	stdp.setColor(ANORMAL, CYELLOW, CBLACK);
	for(int i = 1; i< 79; i++){
		for(int j = 1; j<23; j++){
			stdp.setCursor(i,j);
			stdp.writeChar(':');
		}
	}
	stdp.refreshScr();

	stdp.setCursor(12,7);
	stdp.writeStr("'########:::::'###::::'########:::'#######::'##::: ##:");
	stdp.setCursor(12,8);
	stdp.writeStr(" ##.... ##:::'## ##::: ##.... ##:'##.... ##: ###:: ##:");
	stdp.setCursor(12,9);
	stdp.writeStr(" ##:::: ##::'##:. ##:: ##:::: ##: ##:::: ##: ####: ##:");
	stdp.setCursor(12,10);
	stdp.writeStr(" ########::'##:::. ##: ##:::: ##: ##:::: ##: ## ## ##:");
	stdp.setCursor(12,11);
	stdp.writeStr(" ##.. ##::: #########: ##:::: ##: ##:::: ##: ##. ####:");
	stdp.setCursor(12,12);
	stdp.writeStr(" ##::. ##:: ##.... ##: ##:::: ##: ##:::: ##: ##:. ###:");
	stdp.setCursor(12,13);
	stdp.writeStr(" ##:::. ##: ##:::: ##: ########::. #######:: ##::. ##:");
	stdp.setCursor(12,14);
	stdp.writeStr("..:::::..::..:::::..::........::::.......:::..::::..::");
	sleep(1);
	stdp.refreshScr();
	sleep(2);

	//Mostraremos de forma intermitente el cartel de pulsar Enter como el decorado, hasta pulsarlo y que se haga una animación
	do{
		stdp.setColor(ANORMAL, CGREEN, CBLACK);
		stdp.setCursor(21,19);
		stdp.writeStr("Presione ENTER para empezar a jugar");

		stdp.refreshScr();
		usleep(150000);


		stdp.setColor(ANORMAL, CWHITE, CBLACK);

		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar(' ');
			stdp.setCursor(i,23);
			stdp.writeChar(' ');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar(' ');
			stdp.setCursor(79,i);
			stdp.writeChar(' ');
		}


		stdp.refreshScr();
		usleep(200000);


		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar('*');
			stdp.setCursor(i,23);
			stdp.writeChar('*');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar('*');
			stdp.setCursor(79,i);
			stdp.writeChar('*');
		}


		stdp.refreshScr();
		usleep(200000);

		stdp.setColor(ANORMAL,CYELLOW,CBLACK);
		stdp.setCursor(21,19);
		stdp.writeStr(":::::::::::::::::::::::::::::::::::");
		stdp.refreshScr();
		usleep(150000);
	}while (stdp.getKey() != KENTER);
	for(int i = 0; i < 80; i++){
		stdp.setCursor(i,0);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 0; i < 24; i++){
		stdp.setCursor(79,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 79; i >= 0; i--){
		stdp.setCursor(i,23);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 23; i >= 0; i--){
		stdp.setCursor(0,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}
	sleep(1);
	stdp.setCursor(12,7);
	stdp.writeStr("'********:::::'***::::'********:::'*******::'**::: **:");
	stdp.setCursor(12,8);
	stdp.writeStr(" **.... **:::'** **::: **.... **:'**.... **: ***:: **:");
	stdp.setCursor(12,9);
	stdp.writeStr(" **:::: **::'**:. **:: **:::: **: **:::: **: ****: **:");
	stdp.setCursor(12,10);
	stdp.writeStr(" ********::'**:::. **: **:::: **: **:::: **: ** ** **:");
	stdp.setCursor(12,11);
	stdp.writeStr(" **.. **::: *********: **:::: **: **:::: **: **. ****:");
	stdp.setCursor(12,12);
	stdp.writeStr(" **::. **:: **.... **: **:::: **: **:::: **: **:. ***:");
	stdp.setCursor(12,13);
	stdp.writeStr(" **:::. **: **:::: **: ********::. *******:: **::. **:");
	stdp.setCursor(12,14);
	stdp.writeStr("..:::::..::..:::::..::........::::.......:::..::::..::");
	stdp.refreshScr();

	usleep(50000);

	stdp.clearScreen();
	stdp.refreshScr();
	sleep(1);
}
